# $Revision: 1.45 $, $Date: 2010/11/12 23:38:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	ShareLite
Summary:	IPC::ShareLite Perl module - light-weight interface to shared memory
Summary(pl.UTF-8):	Moduł Perla IPC::ShareLite - lekki interfejs do pamięci dzielonej
Name:		perl-IPC-ShareLite
Version:	0.17
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54c7aa08dc065b6c946c48491d33450d
URL:		http://search.cpan.org/dist/IPC-ShareLite/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ShareLite provides a simple interface to shared memory, allowing
data to be efficiently communicated between processes. Your operating
system must support SysV IPC (shared memory and semaphores) in order
to use this module.

%description -l pl.UTF-8
IPC::ShareLite udostępnia prosty interfejs do pamięci wspólnej,
umożliwiając wydajną wymianę danych pomiędzy procesami. Aby
korzystanie z tego modułu było możliwe, System operacyjny musi
wspierać SysV IPC (pamięć wspólna i semafory).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IPC/ShareLite.pm
%dir %{perl_vendorarch}/auto/IPC/ShareLite
%{perl_vendorarch}/auto/IPC/ShareLite/autosplit.ix
%{perl_vendorarch}/auto/IPC/ShareLite/ShareLite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IPC/ShareLite/ShareLite.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-ShareLite.spec,v $
Revision 1.45  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.44  2010/06/06 08:38:19  arekm
- release 2

Revision 1.43  2010/02/17 10:00:17  amateja
- updated to 0.17
- removed obsolete patch

Revision 1.42  2009/03/14 11:14:12  hawk
- release 7

Revision 1.41  2008/03/24 13:59:37  qboosh
- generic URL

Revision 1.40  2008-02-23 19:46:47  glen
- release 6

Revision 1.39  2008-02-10 12:13:09  arekm
- rel 5

Revision 1.38  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:27  paladine
- formatting

Revision 1.34  2004/10/24 15:17:07  paladine
- spelling fix

Revision 1.33  2004/06/05 18:10:41  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.32  2004/05/07 00:38:12  ankry
- rel. 4

Revision 1.31  2004/04/22 13:10:32  ankry
- license fixes & unification

Revision 1.30  2004/01/23 15:31:48  qboosh
- added types patch (with fix for 64-bit pointers)
- real summaries, new-style bcond, release 3

Revision 1.29  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.28  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.27  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.24  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.23  2003/02/24 20:31:55  radek
- use the __perl macro

Revision 1.22  2003/02/18 15:34:01  ankry
- massive attack: change CPAN URLs

Revision 1.21  2003/02/05 16:18:47  ankry
- autoupdated to 0.09

Revision 1.20  2002/08/03 11:32:52  ankry
- translatins, cleaning
- added test on BCond
- don't suggest that Makefile.PL reads from FIFO
- new description
- added autosplit.ix
- release 7

Revision 1.19  2002/07/20 07:14:31  qboosh
- removed autosplit.ix, new %%doc
- release 6

Revision 1.18  2002/07/10 08:47:44  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:32:26  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:17:45  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:27:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/04/17 12:11:18  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:45  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2001/01/10 23:56:45  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.6  2000/09/25 05:59:00  kloczek
- updated to 0.08.

Revision 1.5  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 20:33:35  pius
- initial release
